<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
     public function up(): void
    {
        Schema::create('ctzn_master', function (Blueprint $table) {
            $table->id('CTM_Id');
            $table->string('Name',150)->nullable();
            $table->string('Mobile',20)->nullable();
            $table->string('Email',150)->nullable();
            $table->json('Documents')->nullable();
            $table->text('Address')->nullable();
            $table->integer('Area_id')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('ctzn_master');
    }
};
